Subject: Re: HUGE filesystem PROBLEM (too big to be true)
From: [email-masked] (Ralf Meyer)

12 Feb 1998 23:39:44 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

> crw-r--r--   0 0        Everyone   0,   0 Jan  1  1970 con.c
> 
> which is to say that it sees it as a character device, the console!
> 
> I spare you the details: I tried to remove and/or rename the file,
> the directory that contains it, the tree, etc. with rm -rf, with del
> on a dos console, with mv, with the explorer. There is absolutely
> nothing to do: it won't go away. I checked and there is no way to
> create a file named con.c by redirection, vi, or whatever. But if
> the file is create untarring an archive, then it'll exist and it'll
> never ever go away... (In other words, it's something really easy to
> reproduce, if someone has the guts to do it)

Just created a con.c with sh from the NT ResKit.

> Does somebody have a clue on how to remove this thing? I do not
> expect much out of Windows NT, but I hope this problem can be solved
> via the cygwin platform...

Don't underestimate NT 8-)

Try:
	del \\.\D:\whole\path\to\con.c
worked here.
The POSIX rm from the ResKit also easily handles special Dos 
filenames.
-- 
bye
     ranf
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".